require 'dread'

module Dread
  module TraceFactory
    def self.build(line)
      case line
      when /dwc3_event:/
        EventFactory.build(line)
      else
        Trace.new(line)
      end
    end
  end
end
