require "dread"

module Dread
  class Event < Trace
    include Bitfield

    def gadget?
      (decode & 1) == 1
    end

    def endpoint?
      (decode & 1) == 0
    end

    def decode
      data.split.last.to_i(16)
    end
  end
end
