require 'dread'

module Dread
  module EventFactory
    def self.build(line)
      re = /event ([0-9a-f]{8})$/
      md = line.match(re)
      type = md[0].split.last.to_i(16)

      case (type & 1)
      when 1
        GadgetEvent.new(line)
      when 0
        EndpointEvent.new(line)
      else
        e
      end
    end
  end
end
