require 'dread'

module Dread
  class Runner
    def initialize(argf)
      @argf = argf
    end

    def run!
      argf.each_line do |line|
        next if comment?(line)

        t = TraceFactory.build(line)
        puts t
        #t.format_output if t
      end
    end

    private

    def comment?(line)
      line =~ /^#/
    end

    attr_reader :argf
  end
end
